Hi,

Since I was short of time I have submitted my proposal "https://www.google-melange.com/gsoc/proposal/review/student/google/gsoc2014/diggy/5846034605408256".
Can you please review it and give some feedback? Also now that I got time, I will be working on the bug and be submitting patches in this week.

Regards,
Digvijay Singh


On Thu, Mar 20, 2014 at 10:02 PM, Germán Póo-Caamaño <gpoo@gnome.org> wrote:
On Thu, 2014-03-20 at 16:11 +0530, Digvijay Singh wrote:
> Hi,
>     Thanks for the response. I've started looking at the bug tracker.
>
> In the meantime, please look at this patch for the file
> setup-check.py:
> "https://github.com/ice-pice/pybliographer/commit/bc60dc149e2ec9460f73042a863090027e04ac71".  I've ported this to gtk3. Please have a look at it and let me know if any changes are required.
>
Thanks for trying this.

I think that for the gtk3 branch we should go for something in the
configure.ac:

AM_PATH_PYTHON
PKG_CHECK_MODULES(PYBLIOBRAPHER, pygobject-3.0)

Or even:
AM_PATH_PYTHON(2.6)
PKG_CHECK_MODULES(PYBLIOBRAPHER, pygobject-3.0)

Or 2.7, depending if we use start using features available in PyGobject
3.10.  2.6 is the minimum Python version required for 3.4.

So, setup-check.py would be less needed. However, it is necessary to
changes in other places as well.

However, I would prefer if you could take a look at other places than
the build system (at this moment). For example, with the current status,
non-ascii bibtex entries can not be edited using "Native Editing".

--
Germán Poo-Caamaño
http://calcifer.org/